/*
 Name:   lifeboa2.sas
 Title:  Lifeboats on the Titanic- data set 2
 Source: Extracted from the Encyclopedia Titanica Web Site 
	      http://atschool.eduweb.co.uk/phind
1. Boat (1 to 16, and four collapsible boats, A to D)
2. Launch (rank order of departing from Titanic)
3. Side (side of Titanic boat was launched from)
4. Males (just of the passengers, not including servants or crew)
5. Females (same as 4.)
6. First (first class passengers and their servants)
7. Second (second class passengers and their servants)
8. Third (third class passengers)
9. Crew
10. Other (number of lifeboat occupants (6+7+8+9) that got onto the
  lifeboat by other means, e.g. stowaway, pulled from water, jumped etc.)
11. Launch (reported launch time)
*/

proc format;
	value $side 'p'='Port'  's'='Starboard';
data lifeboa2;
	input boat $ order side $ men women class1-class3 crew other
	      launch time5.2;
	format launch hhmm. side $side.;
	total=sum(of class1-class3 crew);
	label launch='Launch Time'  order='Launch order'
		boat = 'Boat label'      side='Side'
		men = 'Men passengers'   women = 'Women and Children'
		class1 = '1st Class passengers'  class2='2nd Class passengers'
		class3 = '3rd Class passengers'  other ='Other lifeboat occupants'
		crew = 'Men of crew'
		cap = 'Boat capacity'    total = 'Total loaded';
	port = (side='p');
	select (boat);
		when ('C', 'D')  cap=47;
		when ('1', '2')  cap=40;
		otherwise        cap=65;
	end;
cards; 
 1   5 s   3  1   5  0  0  7 0  1:10
 2  15 p   3  9   8  0  6  4 0  1:45
 3   4 s  11  8  26  0  0 13 0  1:00
 4  16 p   3 16  24  2  0 12 9  1:50
 5   2 s  13 14  27  0  0  8 2  0:55
 6   3 p   2 16  19  0  1  4 1  0:55
 7   1 s  13 12  24  1  0  3 0  0:45
 8   5 p   0 17  23  0  0  4 0  1:10
 9  10 s   9 16   6 17  3 15 0  1:30
10   7 p   5 28   9 18  6  4 0  1:20
11  12 s   7 16   6 14  5 26 0  1:35
12  10 p   1 18   0 17  2  3 1  1:30
13  13 s  15 24   1 12 26 24 2  1:40
14   8 p  10 23   5 21  7  9 4  1:25
15  13 s  23 15   1  1 36 25 0  1:40
16   . p   2 23   0  3 22 12 0  1:35
 A   . s   9  2   3  0  8  5 0  .
 B   . p  10  0   3  1  6 18 0  .
 C  17 s  13 25   2  0 36  6 4  1:40
 D   . s   6 13   8  2  9  5 3  2:05
;
