 /*-----------------------------------------------------------------*
  |     Name: icu3.sas                                              |
  |    Title: ROBUST macro: Survival in the ICU                     |
  | ----------------------------------------------------------------|
  |    Procs: print                                                 |
  |   Macros: robust                                                |
  | Datasets: icu                                                   |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 18 Jun 2000 12:20:28                                  |
  *-----------------------------------------------------------------*/
%include catdata(icu);
title 'ROBUST macro: Survival in the ICU';

%robust(data=icu, response=died, model=age cancer uncons admit,
	proc=logistic, id=id, iter=3, print=print);

proc print data=resids;
	where (flag ^='*');
	id id;
	var died age cancer uncons admit _fit_ _weight_ _resid_ _hat_;
run;

					 