 /*-----------------------------------------------------------------*
  |     Name: icu6.sas                                              |
  |    Title: Added variable plots for ICU data                     |
  | ----------------------------------------------------------------|
  |   Macros: addvar gskip                                          |
  | Datasets: icu                                                   |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 18 Jun 2000 12:20:57                                  |
  *-----------------------------------------------------------------*/
%include goptions;
goptions vsize=6in;
%include catdata(icu);

title 'Added variable plots for ICU data';

data icu;
	set icu;
	age2 = .01 * (age-57.5)**2;
	xlogx = age * log(age);
	patient = put(id, 3.);
	keep patient died age admit cancer uncons age2 xlogx systolic;
	format admit 1.;
run;
	
title;

%addvar(data=icu, y=Died,  x=age admit cancer uncons, z=Systolic,
	id=patient, smooth=0.5, loptions=order=data noprint);
%gskip;

%addvar(data=icu, y=Died,  x=age admit cancer uncons, z=Age2,
	id=patient, smooth=0, loptions=order=data noprint);


