 /*-----------------------------------------------------------------*
  |     Name: sievdemo.sas                                          |
  |    Title: Sieve plot demonstration                              |
  | ----------------------------------------------------------------|
  |    Procs: iml                                                   |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 16 Jun 2000 14:21:45                                  |
  *-----------------------------------------------------------------*/
title 'Sieve plot demonstration';
goptions hsize=7in vsize=7in ;  * make plot square;
 
proc iml;
 
%include iml(sieve);
 
    f = { 68  119  26   7 ,        /* brown */
          20   84  17  94 ,        /* blue  */
          15   54  14  10 ,        /* hazel */
           5   29  14  16 };       /* green */
 
   vnames = {'Eye Color' 'Hair Color'};
   lnames = {'Brown' 'Blue' 'Hazel' 'Green',
             'Black' 'Brown' 'Red' 'Blond' };
   title  = 'Sieve diagram: Hair Eye Color Data';

   f = f[4:1,];              * reverse the rows;
   lnames[1,]=lnames[1,4:1];
   run sieve(f, vnames, lnames, title );
 
   title  = 'Expected frequencies: Hair Eye Color Data';
   filltype = 'EXP';
   margins  ='TOTALS';
   run sieve(f, vnames, lnames, title );
 
   quit;
